---
layout: page
title: ksqlDB Tutorials
tagline: Walkthroughs and example queries
description: Learn how to create ksqlDB applications 
keywords: ksqldb, query, application, quickstart, tutorial, walkthrough, how to
---

The tutorials are end-to-end examples of how to use ksqlDB for specific use cases.

<div class="cards">
  <div class="card tutorial">
    <strong>Materialized cache</strong>
    <p class="card-body"><small>Build and serve incrementally-updated stateful views.</small></p>

    <div class="tutorial-begin">
      <img src="../img/materialized-views.svg"/>
      <a href="/tutorials/materialized">Begin →</a>
    </div>
  </div>

  <div class="card tutorial">
    <strong>Streaming ETL pipeline</strong>
    <p class="card-body"><small>Manipulate in-flight data to connect arbitrary sources and sinks.</small></p>

    <div class="tutorial-begin">
      <img src="../img/streaming-etl.svg"/>
      <a href="/tutorials/etl">Begin →</a>
    </div>
  </div>

  <div class="card tutorial">
    <strong>Event-driven microservice</strong>
    <p class="card-body"><small>Trigger changes based on observed patterns of events in a stream.</small></p>

    <div class="tutorial-begin">
      <img src="../img/microservices.svg"/>
      <a href="/tutorials/event-driven-microservice">Begin →</a>
    </div>
  </div>
</div>
